package de.j32.pimstuff;

import java.io.IOException;

import de.j32.pimstuff.conduit.Conduit;
import de.j32.pimstuff.conduit.ConduitException;
import de.j32.pimstuff.conduit.Exporter;
import de.j32.pimstuff.conduit.Importer;
import de.j32.pimstuff.conduit.Registry;
import de.j32.pimstuff.data.Addressbook;
import de.j32.util.Util;

public class Main {

	public static void main(String[] args)
	{	
		try {
			Addressbook ab = new Addressbook();
			Conduit conduit = Registry.get("fritzbox");

			Importer i = null;
			try {
				i = conduit.importer();
				i.sendTo(ab);
				i.close();
				i = null;
			}
			finally {
				Util.nothrowClose(i);
			}
			
			Exporter e = null;
			try {
				e = conduit.exporter();
				ab.sendTo(e);
				e.close();
				e = null;
			}
			finally {
				Util.nothrowClose(e);
			}
		}
		catch (ConduitException e) {
			e.printStackTrace();
		}
		catch (IOException e) {
			e.printStackTrace();
		}
	}
}
